Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war
Class OlapPrint

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.jaspersoft.jasperserver.war.OlapPrint

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class OlapPrint

extends javax.servlet.http.HttpServlet

Based on the PrintServlet in JPivot. Download Excel and PDF files based on the current OLAP view

Author:
  swood
See Also:
  Serialized Form

Constructor Summary
`OlapPrint()`

Method Summary
`void` | `convertFO2PDF(java.io.ByteArrayInputStream bain, java.io.ByteArrayOutputStream baout)` converts FO xml into PDF using the FOP processor
`void` | `destroy()` Destroys the servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `GET` method.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `POST` method.
`java.lang.String` | `getServletInfo()` Returns a short description of the servlet.
`void` | `init(javax.servlet.ServletConfig config)` Initializes the servlet.
`protected void` | `processRequest(com.tonbeller.wcf.controller.RequestContext context)` Processes requests for both HTTP `GET` and `POST` methods.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapPrint

    public OlapPrint()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Initializes the servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Destroys the servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(com.tonbeller.wcf.controller.RequestContext context)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Processes requests for both HTTP `GET` and `POST` methods.

  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### convertFO2PDF

    public void convertFO2PDF(java.io.ByteArrayInputStream bain,
                              java.io.ByteArrayOutputStream baout)
                       throws java.io.IOException,
                              org.apache.fop.apps.FOPException

  converts FO xml into PDF using the FOP processor

  Throws:
    `java.io.IOException`
    `org.apache.fop.apps.FOPException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Handles the HTTP `GET` method.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Handles the HTTP `POST` method.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Returns a short description of the servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.